CREATE TABLE atc_prod_spec_rels_ (
    PROD_SPEC_REL_ID         NUMBER(18, 0) ,
    PROD_SPEC_REL_PUID       VARCHAR2(120) ,
    PROD_SPEC_REL_NAME       VARCHAR2(800) ,
    PROD_SPEC_REL_VERSION    VARCHAR2(80)  ,
    PROD_SPEC_REL_HREF       VARCHAR2(4000),
    REL_TYPE_CODE            VARCHAR2(800) ,
    PROD_SPEC_REL_COMP_ID    NUMBER(18, 0) ,
    START_DATE_TIME          TIMESTAMP(6)  ,
    END_DATE_TIME            TIMESTAMP(6)  ,
    AT_TYPE                  VARCHAR2(800) ,
    AT_REFERRED_TYPE         VARCHAR2(800) ,
    AT_BASE_TYPE             VARCHAR2(800) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    PROD_SPEC_ID             NUMBER(18, 0) ,
    VERSION_STATE            NUMBER(2, 0)  ,
    ENTITY_NAME              VARCHAR2(800) ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    PROD_SPEC_REL_ID         NUMBER(18, 0) ,
    PROD_SPEC_REL_PUID       VARCHAR2(120) ,
    PROD_SPEC_REL_HREF       VARCHAR2(4000),
    REL_TYPE_CODE            VARCHAR2(800) ,
    PROD_SPEC_REL_COMP_ID    NUMBER(18, 0) ,
    START_DATE_TIME          TIMESTAMP(6)  ,
    END_DATE_TIME            TIMESTAMP(6)  ,
    AT_TYPE                  VARCHAR2(800) ,
    AT_BASE_TYPE             VARCHAR2(800) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    PROD_SPEC_ID             NUMBER(18, 0) ,
    VERSION_STATE            NUMBER(2, 0)  ,
    ENTITY_NAME              VARCHAR2(800) ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    PROD_SPEC_REL_NAME       VARCHAR2(800) ,
    PROD_SPEC_REL_VERSION    VARCHAR2(80)  ,
    AT_REFERRED_TYPE         VARCHAR2(800) ,
    CONSTRAINT pk_atc_prod_spec_rels_ PRIMARY KEY (PROD_SPEC_REL_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, PROD_SPEC_REL_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
